/* ----------- Color Variables --------- */
/* Looking for the color variables? They have been moved to the inline-styles file in the _includes folder, and pull variables from the site-settings folder in the _data folder.  */

@font-face {
  font-family: 'Cairo';
  src: url('/fonts/cairo-webfont.woff2') format("woff2");
}

@font-face {
  font-family: 'HV Muse';
  src: url('/fonts/hv_muse_regular-webfont.woff2') format("woff2");
}

/* ----------- CSS RESET --------- */

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
  
img { max-width: 100%; height: auto; }

/* Override default gridlex padding */ 
[class*=col] { padding: 0; }
[class*=grid] { margin: 0; }

section { position: relative; }

html { 
  scroll-behavior: smooth ;
  -webkit-text-size-adjust: 100%; /* Prevent font scaling in landscape while allowing user zoom */
}


/* ---------- Negative Space Utility Classes  ------------------ */ 

.capped-width-wide      { max-width: 1600px; margin: auto; }
.capped-width           { max-width: 1200px; margin: auto; }
.capped-width-narrow    { max-width: 1000px; margin: auto; }
.capped-width-v-narrow  { max-width: 800px;  margin: auto; }


.tall-100 { min-height: 100vh; }
.tall-90  { min-height: 90vh; }
.tall-80  { min-height: 80vh; }
.tall-70  { min-height: 70vh; }
.tall-60  { min-height: 60vh; }
.tall-50  { min-height: 50vh; }
.tall-40  { min-height: 40vh; }
.tall-30  { min-height: 30vh; }
.tall-20  { min-height: 20vh; }

/* Padding Utility Classes */ 
.padded-sm { padding: 2.5%; }
.padded    { padding: 5%;   }
.padded-lg { padding: 10%;  }

.padded-05 { padding: 0.5rem; }
.padded-1  { padding: 1rem; }
.padded-2  { padding: 2rem; }

.padded-t  { padding-top: 5%; }
.padded-b  { padding-bottom: 5%; }
.padded-l  { padding-left: 5%; }
.padded-r  { padding-right: 5%; }

.padded-tb  { padding-top: 5%; padding-bottom: 5%; }
.padded-lr  { padding-left: 5%; padding-right: 5%; }

.padded-t-1 { padding-top: 1rem; }
.padded-b-1 { padding-bottom: 1rem; }
.padded-l-1 { padding-left: 1rem; }
.padded-r-1 { padding-right: 1rem; }

.padded-t-2 { padding-top: 2rem; }
.padded-b-2 { padding-bottom: 2rem; }
.padded-l-2 { padding-left: 2rem; }
.padded-r-2 { padding-right: 2rem; }

.padded-t-0 { padding-top: 0; }
.padded-b-0 { padding-bottom: 0; }
.padded-l-0 { padding-left: 0; }
.padded-r-0 { padding-right: 0; }

/* Margin Utility Classes */ 

.margin-t { margin-top: 5%; }
.margin-b { margin-bottom: 5%; }
.margin-l { margin-left: 5%; }
.margin-r { margin-right: 5%; }

.margin-t-05 { margin-top: 0.5rem; }
.margin-b-05 { margin-bottom: 0.5rem; }
.margin-l-05 { margin-left: 0.5rem; }
.margin-r-05 { margin-right: 0.5rem; }

.margin-t-1 { margin-top: 1rem; }
.margin-b-1 { margin-bottom: 1rem; }
.margin-l-1 { margin-left: 1rem; }
.margin-r-1 { margin-right: 1rem; }

.margin-t-2 { margin-top: 2rem; }
.margin-b-2 { margin-bottom: 2rem; }
.margin-l-2 { margin-left: 2rem; }
.margin-r-2 { margin-right: 2rem; }

.margin-t-0 { margin-top: 0; }
.margin-b-0 { margin-bottom: 0; }
.margin-l-0 { margin-left: 0; }
.margin-r-0 { margin-right: 0; }

.margin-tb { margin-top: 5%; margin-bottom: 5%; }
.margin-lr { margin-left: 5%; margin-right: 5%; }


.relative { position: relative;}
.block { position: block;}
.inline-block { position: inline-block;}

/* ------------ Position Absolute  ----------------------- */

.pa1 {
  position: absolute;
  top: -8rem;
  width: 8rem;
  right: 4rem;
}

.pa2 {
  position: absolute;
  top: 8rem;
  bottom: 0;
  width: 6rem;
  right: 0;
}

.pa3 {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
}

.pa4 {
  position: absolute;
  top: 1rem;
  right: 1rem;
  width: 7rem;
}

.pa5 {
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  width: 7rem;
}

/* ------------ Backgrounds & Background Images  ----------------------- */

.bg-dark     { background-color: var(--dark);}
.bg-featured { background-color: var(--featured);}
.bg-medium   { background-color: var(--medium); }
.bg-light    { background-color: var(--light); }
.bg-v-light  { background-color: var(--v-light); }

.bg-index-1 {
  background-color: var(--medium);
  border: 1px solid var(--dark-text);
  border-radius: 0 2rem 2rem 0 ;
  margin-left: -7%;
}

.bg-index-2 {
  background-color: var(--v-light);
  border: 1px solid var(--dark-text);
  border-radius:  2rem 0 0 2rem ;
  margin-left: 24%;
}

.bg-index-3 {
  background-color: var(--dark);
  border: 1px solid var(--dark-text);
  border-radius:  2rem ;
}

.bg-index-4 {
  background-color: var(--medium);
  border: 1px solid var(--dark-text);
  border-radius: 0 2rem 2rem 0 ;
  margin-left: -7%;
}

.bg-index-5 {
  background-color: var(--featured);
  border: 1px solid var(--dark-text);
  border-radius:  2rem 0 0 2rem ;
  margin-left: 24%;
}


.bg-image {
    background-color: var(--light); /* Set a fall-back color while images are loading */ 
    background-image: url('https://source.unsplash.com/8Ogfqvw15Rg/1600x1600');
    background-size: cover;
    background-position: center; 
    background-repeat: no-repeat;
}

.bg-image-swiper {
  border-radius: 2rem;
}

.bg-quote-index-1 {
      background-image: url('/images/regula-aschwanden-quote-banner-1.jpg');

}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.img-style-1 {
  border-radius: 0.5rem;
}

.bg-overlay::after {
  z-index: 1;
  content: ""; 
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5);
}

.bg-familienstellen-1 {
  background-image: url('/images/familienstellen/regula-aschwanden-familienstellen-3.jpg');
}


.bg-overlay > * {
  z-index: 2;
  position: relative;
}
/* Add a second class to change the color or style  */

.bg-overlay-gradient::after { 
  background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0));
} 

.bg-overlay-featured::after { 
  background-color: var(--featured);
  opacity: 0.5;
} 

/* Aspect Ratios with percentage unit are only effective if the element (the <div>) is inside a parent container or column, it can't be applied to the column itself. */

a.bg-image { display: block;}

.landscape     { padding-bottom: 66% ; }
.portrait-tall { padding-bottom: 175%; }
.portrait      { padding-bottom: 125%; }
.square        { padding-bottom: 100%; }


/* Background Position */
.bg-pos-t { background-position: top; }
.bg-pos-b { background-position: bottom; }
.bg-pos-l { background-position: left; }
.bg-pos-r { background-position: right; }


/* ------------ Typography Styles ----------------------- */

.left    { text-align: left; }
.right   { text-align: right; }
.center  { text-align: center; }
.uppercase    { text-transform: uppercase; }

html {
  overflow-x: hidden;
}

body {
  font-family: 'Montserrat', serif;  /* Add your font here */ 
  color: var(--dark-text);
  overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6 {
  line-height: 1.1;
  margin-bottom: 1.2rem;
  font-weight: 400;
}

h1 {   font-size: 3rem;
  font-family: 'Cairo', serif;   font-weight: 400;
}
h2 { 
  font-size: 3rem;
  font-family: 'Cairo', serif;
 }
h3 { font-size: 1.8rem; }
h4 { font-size: 1.6rem; }
h5 { font-size: 1.4rem; }
h6 { font-size: 1.2rem; }

p, li {
  line-height: 1.4; 
  margin-bottom: 1rem;
  font-family: 'Montserrat', serif; 
  font-weight: 300;
  font-size: 1.2rem;
}

li {margin-bottom: 0;}

li:last-child {
  margin-bottom: 1rem;
}

ul { margin-left: 2rem;}

.quote { 
  font-family: 'HV Muse', serif;
  font-size: 3rem;
}

.quote-cairo { 
  font-family: 'Cairo', serif;
  font-size: 2.8rem;
}

h2:last-child, 
h3:last-child, 
h4:last-child, 
h5:last-child, 
h6:last-child, 
p:last-child {
	margin-bottom: 0;
}

/* Unique Typography Styles  */
.emphasis       { font-size: 1.2rem; font-weight: 400; }
.text-featured  { color: var(--featured-text);}
.text-light     { color: var(--light-text);}
.subtle         { opacity: 0.8;     }
.subtitle       { font-size: 0.8rem; }

.tworem         { font-size: 2rem;}
.two5rem       { font-size: 2.5rem;}
.threerem       { font-size: 3rem;}
.fourrem        { font-size: 4rem; }
.fiverem       { font-size: 5rem;}

.text-white     { color: white; }

.no-deco { text-decoration: none; }


/* ------------ Buttons & Links ------------ */
a {
    color: inherit;
}



p a {
    text-decoration: none;
    border-bottom: 1px solid;
}



.button { 
    display: inline-block;
    text-decoration: none;
    line-height: 1;
    padding: 0.5rem 1.5rem;
    border: 1px solid;
    background-color: var(--medium);
    border-radius: 5px;
    font-size: 1.2rem;
}

.button:hover {
    background-color: var(--light);
}




.button-2 { 
    display: inline-block;
    text-decoration: none;
    line-height: 1;
    padding: 0.5rem 1.5rem;
    border: 1px solid;
    background-color: var(--v-light);
    border-radius: 5px;
    font-size: 1.2rem;
    color: var(--dark-text);
}

.button-2:hover {
  background-color: var(--medium);
}



.subtle-button {
  text-decoration: none;
  border-bottom: 1px solid;
}

/* suggested additional styles 
- .button-inverted, .button-subtle, .button-lg  */


/* ------------ Header & Hamburger Menu -------------- */

a:hover {
  color: rgba(0, 0, 0, 1);
}


nav a {
    padding: 0.25rem 0.5rem;
    display: inline-block;
    text-decoration: none;
    font-size: 1.3rem;
}


.index-2 a {
  font-family: 'Cairo', serif;
  font-size: 2rem;
  padding: 0 1.5rem ;
  background-color: var(--v-light);

}

.border-t-b{
    border-top: 1px solid var(--dark-text);
  border-bottom: 1px solid var(--dark-text);
}

/* ------------ Header Slider -------------- */

.header-slider {
  position: relative;
  overflow: hidden;
}


/* Container der Hintergrundbilder */

.header-slider-images {
  position: absolute;
  inset: 0;
  z-index: 0;
}


/* Einzelnes Hintergrundbild */

.header-slide {
  position: absolute;
  inset: 0;

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  opacity: 0;

  transition: opacity 1.5s ease-in-out;
}


/* Aktuell sichtbares Bild */

.header-slide.active {
  opacity: 1;
}


/* Header-Inhalt über den Bildern */

.header-content {
  position: relative;
  z-index: 2;

  min-height: 100%;

  margin: 1rem;
  margin-top: 7rem;

  border-radius: 5px;
  border: 1px solid var(--dark-text);

  padding: 0.5rem;
}


/* Logo */

.pa-bg-logo-header {
  position: absolute;

  top: -6rem;
  right: 0;
  bottom: 0;
  left: 0;

  width: 14rem;

  margin: auto;
}


.bg-logo-header {
  background-color: var(--v-light);

  border-radius: 50rem;
  padding: 1rem;

  border: 1px solid var(--dark-text);
}



.header-content {
  position: relative;
  z-index: 2;
  min-height: 100%;
}

.pa-bg-logo-header {
    position: absolute;
    top: -6rem;
    right: 0;
    bottom: 0;
    left: 0;
    width: 14rem;
    margin: auto;
}

.bg-logo-header {
  background-color: var(--v-light);
  border-radius: 50rem;
  padding: 1rem;
  border: 1px solid var(--dark-text);
}

.header-content {
  margin: 1rem;
  border-radius: 5px;
  border: 1px solid var(--dark-text);
  margin-top: 7rem;
  padding: 0.5rem;
}

/* ------------ Footer Styles -------------- */

footer a {
  text-align: center;
  display: inline-block;
  text-decoration: none;
  padding: 0.2rem 0 0.2rem 0.2rem;
  font-weight: 200;
}

footer nav a {
  text-align: center;
  display: block;
  text-decoration: none;
  padding: 1rem 0 1rem 0;
  font-weight: 300;
}

.fa-brands {
  text-align: center;
  font-size: 1.6rem;
}


.pajurama-logo {
  width: 6rem;
  border-bottom: none;
}

.footer-logo {
  width: 700px;
}

.size-09 {
  font-size: 0.9rem;
}

.termin-buchen-text {
  font-size: 2.5rem;
}
/* Dropdown styles */

.kalender-datum {
  font-size: 2.2rem;
  line-height: 1.1;
  font-weight: 600;
  margin: 1.2rem 0;
}

.dropdown { 
  position: relative; 
  display: inline-block;
}

.dropdown-title {
  padding: 0.25rem 0.5rem;
  display: inline-block;
}

.dropdown-content {
  position: absolute;
  top: 100%;
  left: -1rem;
  padding: 0.5rem;
  display:none; 
  background-color: var(--light);
  border: 1px solid var(--dark-text);
  border-radius: 5px;
  z-index: 2;
  text-align: left;
  min-width: 10rem;
}

.dropdown-content-mobile {
  padding-left: 1rem;
}

.dropdown-content-mobile a {
  font-size: 1rem;
  font-style: italic;
}

.dropdown:hover .dropdown-content{ 
  display: block;
}

.dropdown-content a {
  display: block;
  padding: 0.2rem;
}

/* ------------ Burger Button / Mobile Menu Styles -------------- */

.burger-button {
  position:fixed;
  top: 2vh;
  right: 4vh;
  z-index: 55;
  padding: 8px;
  margin-top: 0.8rem;
  line-height: 1.7;
  cursor: pointer;
  
}

.burger-button-index {
  position:fixed;
  top: 2vh;
  right: 2vh;
  z-index: 55;
  padding: 8px;
  margin-top: 0.6rem;
  line-height: 1.7;
  cursor: pointer;
  
}
/*this is where you can chand the color of the buttons*/

.burger-button-index span{
  width: 35px;
  border: 1px solid var(--medium);
  background-color: white;
  display: block;
  transition: 0.5s;
  margin-top: 10px;
  margin-bottom: 10px;
}
.burger-button-index.active span{
  border-color: white;
  background-color:white;
}

.burger-button span{
  width: 35px;
  border: 1px solid var(--medium);
  background-color: white;
  display: block;
  transition: 0.5s;
  margin-top: 10px;
  margin-bottom: 10px;
}
.burger-button.active span{
  border-color: white;
  background-color:white;
}

.burger-top, .burger-bottom{
  position: absolute;
}

.burger-top{
  top: -02px;
}

.burger-bottom{
  bottom: -02px;
}
/* make sure this has the same top as the burger button has padding*/
.burger-button.active .burger-top{
  position: absolute;
  top: 8px;
  transform: rotateZ(45deg);
}

.burger-button.active .burger-middle{
/*   transform: rotateZ(270deg); */
  border-color: rgba(0,0,0,0);
  background-color:rgba(0,0,0,0);
}

/* make sure this has the same bottom as the burger button has padding*/

.burger-button.active .burger-bottom{
  position: absolute;
  bottom: 8px;
  transform: rotateZ(-45deg);
}

/* make sure this has the same top as the burger button has padding*/
.burger-button-index.active .burger-top{
  position: absolute;
  top: 8px;
  transform: rotateZ(45deg);
}

.burger-button-index.active .burger-middle{
/*   transform: rotateZ(270deg); */
  border-color: rgba(0,0,0,0);
  background-color:rgba(0,0,0,0);
}

/* make sure this has the same bottom as the burger button has padding*/

.burger-button-index.active .burger-bottom{
  position: absolute;
  bottom: 8px;
  transform: rotateZ(-45deg);
}
  
  
.menu-button:hover {
  font-style: italic;
}

.menu-button.active:hover {
  color: var(--dark-text)
}

.mobile-logo {
  width: 11rem;
  padding-top: 5%;
  padding-bottom: 2rem;
}

.mobile-menu {
  background-color: var(--light);
  padding: 0 5% 5% 5%;
  position: fixed; 
  z-index: 10;
  top: 0;
  right: -100%;
  left: 100vw;
  bottom: 0;
  color: white;
  text-align: left;
  transition: 0.5s;
  max-height: 100vh;
  overflow: scroll;
}

.mobile-menu.active {
  right: 0;
  left: 0;
}

.logo-mobile-menu {
  text-align: left;
  position: absolute;
  top: 2rem;
  max-width: 11rem;
  left: 2rem;
}

.mobile-menu a {
  font-family: 'Montserrat', sans-serif;
  display: block;
  padding: 0.5rem 1rem;
  font-size: 1.3rem;
  color: var(--dark-text)
} 

.mobile-nav {
  margin-top: 7rem;
  text-align: left;
  display: block
}


/* ------------ Contact Forms  ----------------------- */

/* ------------ Form Styles  ----------------------- */
select {
  line-height: 1.8rem;
  color: var(--dark-text);
  font-size: 1.2rem;
  width: 100%;
  display: block;
  margin-bottom: 1rem;
  padding: 0.5rem;
  font-family: inherit;
  font-size: 1rem;
  border: 2px solid var(--medium);
  color: var(--dark-text);
  background-color: white;
}

option {
  width: 100%;
  display: block;
  margin-bottom: 1rem;
  padding: 0.5rem;
  font-family: inherit;
  font-size: 1rem;
  border: 2px solid var(--medium);
  color: var(--dark-text);
  background-color: white;
}

label {
  line-height: 1.8rem;
  color: var(--dark-text);
  font-size: 1.2rem;
}

input, textarea {
  width: 100%;
  display: block;
  margin-bottom: 1rem;
  padding: 0.5rem;
  font-family: inherit;
  font-size: 1rem;
  border: 2px solid var(--dark-text);
  color: var(--dark-text);
  background-color: white;
}

           
input:focus,
textarea:focus {
  outline: none;
  border: 2px solid var(--medium);
}


textarea {
  height: 20vh;
}

button {
    display: inline-block;
    text-decoration: none;
    line-height: 1;
    padding: 0.5rem 1.5rem;
    border: 1px solid;
    background-color: var(--medium);
    border-radius: 5px;
    font-size: 1.2rem;
    font-family: 'Montserrat', serif; 
    font-weight: 400;
}

button:hover {
  border: 1px solid var(--light);
}

/* ------------ Blogging elements  ----------------------- */
.blog-image {
  border-radius: 0.5rem;
}

.blog-title {
  text-decoration: none;
  margin-bottom: 1.5rem;
}


.blog-title-2 {
  text-decoration: none;
  margin-bottom: 1.5rem;
  font-family: 'Cairo', serif;
}

.sub-menu {
  padding-top: 1.4rem;
}

.blog-h4 { text-decoration: none;}


/* Miscelaneous elements  */

hr.short {
  border: 1px solid var(--dark-text);
  width: 2rem;
  margin: 1rem 0;
}

hr.short.center {
  margin:auto;
  margin: 1rem auto;
}


/* ------------ Page Name  ----------------------- */









/* ------------ Responsive Styles ----------------------- */

/* General CSS Responsive Styles (Apply everywhere unless overriden) */ 

.show-xs, 
.show-sm,
.show-md {
	display: none; 
}

.inline { 
  display: inline-block;
  vertical-align: top;
}

/* ------- MD Media Query (64em / 1024px) --------------- */ 
/* - Styles added here will apply at devices smaller than 576px, or zoomed in equivalent */ 

@media(max-width:64em) {

	.show-md { display: block; }
	.hide-md { display: none;  }

  .header-content {
    border: none;
    background-color: transparent;
  }

  .index-2 a {
  font-family: 'Cairo', serif;
  font-size: 1.7rem;
  padding: 0 0.7rem;
  background-color: var(--v-light);
}

}

/* ------- SM Media Query (48em / 768px) --------------- */ 
/* - Styles added here will apply at devices smaller than 768px, or zoomed in equivalent */ 


@media(max-width:48em) {

	.show-sm { display: block; }
	.hide-sm { display: none;  }

  .sm-text-center { text-align: center; }
  .sm-text-left   { text-align: left; }
  .sm-text-right  { text-align: right; }

  .sm-padded     { padding: 5%; }
  .sm-padded-1   { padding: 1rem; }
  .sm-padded-05  { padding: 0.5rem; }

  .sm-padded-t-0 { padding-top: 0; }
  .sm-padded-b-0 { padding-bottom: 0; }
  .sm-margin-t-0 { margin-top: 0; }
  .sm-margin-b-0 { margin-bottom: 0; }

  .sm-landscape     { padding-bottom: 66% ; }
  .sm-portrait-tall { padding-bottom: 175%; }
  .sm-portrait      { padding-bottom: 125%; }
  .sm-square        { padding-bottom: 100%; }

}

/* ------- XS Media Query (36em / 576px) --------------- */ 
/* - Styles added here will apply at devices smaller than 576px, or zoomed in equivalent */ 

@media(max-width:36em) {

		.show-xs { display: block; }
		.hide-xs { display: none;  }

    .subtle-heading-xs {
      font-weight: 300;
      font-family: 'Montserrat', sans-serif; 
    }

    .pa-bg-logo-header {
      width: 10rem;
    }

    .xs-tall-50  { min-height: 50vh; }

    .pa1 {
      position: absolute;
      top: -7rem;
      width: 6rem;
      right: 2rem;
    }

    .bg-index-1 {
      background-color: var(--medium);
      border: 1px solid var(--dark-text);
      border-radius: 2rem;
      margin-left: 0;
    }

    .bg-index-2 {
      background-color: var(--v-light);
      border: 1px solid var(--dark-text);
      border-radius:  2rem ;
      margin-left: 0;
    }

    .bg-index-3 {
      background-color: var(--dark);
      border: 1px solid var(--dark-text);
      border-radius:  2rem ;
    }

    .bg-index-4 {
      background-color: var(--medium);
      border: 1px solid var(--dark-text);
      border-radius: 2rem ;
      margin-left: 0;
    }

    .bg-index-5 {
      background-color: var(--featured);
      border: 1px solid var(--dark-text);
      border-radius:  2rem  ;
      margin-left:0;
    }

    .xs-padded-0 { padding: 0; }

    .xs-margin-b-1 { margin-bottom: 1rem;}
    .xs-margin-t-1 { margin-top: 1rem;}


    footer nav a {
      text-align: center;
      display: block;
      text-decoration: none;
      padding: 0.5rem 0 0.5rem 0;
      font-weight: 300;
    }

    footer nav {
      margin-top: 1.5rem;
    }

    .xs-center {
      text-align: center;
    }

    .termin-buchen-text {
      font-size: 1.3rem;
    }

    .quote {
        font-family: 'HV Muse', serif;
        font-size: 2.3rem;
      }

      .sub-menu a {
        padding-top: 0.5rem;
      }

      .xs-padded-t-0 { padding-top: 0 !important;}

.quote-cairo {
  font-family: 'Cairo', serif;
  font-size: 2rem;
}

.pa4 {
  position: absolute;
  top: 1rem;
  right: 1rem;
  width: 4rem;
}


.pa5 {
  position: absolute;
  bottom: -1rem;
  right: 1rem;
  width: 4rem;
}

}